Quassel IRC - Bug #1676

Quassel Client on macOS does not place a space after a comma
03/03/2021 01:16 PM - mattnewsome

Status: Closed Start date: 03/03/2021
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.13.0 0S: Mac OS X
Description

macOS 11.2.2 (20D80) on Apple M1 MacBookPro hardware

Version: v0.13.1 (git-3778a12)
Version date: 15/02/2019 4:17 PM
Protocol version: 10

Typing "abc, def" results in an IRC message results in "abc,def" appearing. You have to type "abc, def" (two spaces) to get "abc,
def" in the message box. Compared settings with earlier Intel MBP and with seemingly identical client settings the Intel adds the
space while the M1 does not.

This is impacting all use of the client in IRC, so if there's an easy fix, I'd really welcome it.

History

#1 - 03/03/2021 01:43 PM - mattnewsome

This bug can be closed. The issue is that the default font on the M1 makes it less obvious that a space has actually been inserted after the comma.
Using a monospaced Custom Font in the Input Widget settings solved it for me. Sorry for the noise on this one - hopefully this bug report helps
someone else find their own solution in the future :-)

#2 - 03/08/2021 05:27 AM - genius3000

- Status changed from New to Closed

Closing as per the above comment from OP.
